package com.akadia.ejbintro.emp;

import java.util.Date;
import javax.ejb.EntityContext;

/*****************************************************************************
 * <PRE>
 * Akadia EJB introduction
 *
 * The bean class of Emp
 *
 * (c) Akadia AG 2002
 *
 * </PRE>
 * @author      $Author$
 * @version     $Id$
 * <PRE>
 * $Log$
 * </PRE>
 ****************************************************************************/

public class EmpBean implements javax.ejb.EntityBean
{
  private static final String LOG_CLASS_NAME = "EmptBean: ";

  public EntityContext mCtx = null;
  public int mEmpNo;
  public String mEName;
  public Date mHireDate;
  public int mDeptNo;

  public EmpBean()
  {
  }

  public EmpPK ejbCreate(
      int empNo
    , String eName
    , Date hireDate
    , int deptNo
  )
  {
    log("ejbCreate");
    mEmpNo = empNo;
    mEName = eName;
    mHireDate = hireDate;
    mDeptNo = deptNo;
    return null;
  }

  public void ejbPostCreate(
      int empNo
    , String eName
    , Date hireDate
    , int deptNo
  )
  {
    // Do nothing. Required!
    log("ejbPostCreate");
  }

  public void ejbActivate()
  {
    // Not implemented.
    log("ejbActivate");
  }

  public void ejbPassivate()
  {
    // Not implemented.
    log("ejbPassivate");
  }

  public void ejbRemove()
  {
    // Not implemented.
    log("ejbRemove");
  }

  public void ejbLoad()
  {
    // Not implemented.
    log("ejbLoad");
  }

  public void ejbStore()
  {
    // Not implemented.
    log("ejbStore");
  }

  public void setEntityContext(EntityContext ctx)
  {
    log("setEntityContext");
    mCtx = ctx;
  }

  public void unsetEntityContext()
  {
    log("unsetEntityContext");
    mCtx = null;
  }

  public int getEmpNo()
  {
    log("getEmpNo");
    return mEmpNo;
  }

  public void setEmpNo( int empNo )
  {
    log("setEmpNo");
    mEmpNo = empNo;
  }

  public String getEName()
  {
    log("getEName");
    return mEName;
  }

  public void setEName( String eName )
  {
    log("setEName");
    mEName = eName;
  }

  public Date getHireDate()
  {
    log("getHireDate");
    return mHireDate;
  }

  public void setHireDate( Date hireDate )
  {
    log("setHireDate");
    mHireDate = hireDate;
  }

  public int getDeptNo()
  {
    log("getDeptNo");
    return mDeptNo;
  }

  public void setDeptNo( int deptNo )
  {
    log("setDeptNo");
    mDeptNo = deptNo;
  }

  private void log(String msg)
  {
    System.out.println( LOG_CLASS_NAME + msg );
  }

}